HughesNet®

What are the system requirements for ZoneAlarm and PC System Essentials?

ZoneAlarm and PC System Essentials will work with Windows-based computers that are running Windows7 or higher. MAC and earlier versions of Windows are not supported.
Read More

*Free standard installation applies to new Lease subscribers only. Not valid with Purchase option. Limited-time offer.